Skip to content

Look up GPI tracking

Request

Looks up GPI tracking data for a transfer identified by identifierType and identifier.

Security
ClientCredentialsToken
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
identifierTypestringrequired

The type of identifier used to look up the transfer.

Enum:"UETR""TRANSFER_ID"
identifierstring, non-emptyrequired

The UETR or Wise transfer ID of the transfer to look up, matching identifierType. Must be a UUID (e.g. 97ed4827-7b6f-4491-a206-42bcf859a919) when identifierType is UETR, or a positive integer (int64) (e.g. 16521632) when identifierType is TRANSFER_ID.

Example:"97ed4827-7b6f-4491-a206-42bcf859a919"
curl -i -X POST \
  https://api.wise.com/2026Q3/gpi-tracking \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "identifierType": "TRANSFER_ID",
    "identifier": "16521632"
  }'

Responses

Returns matching GPI tracking transactions.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
transactionsArray of objects

The matching GPI tracking transactions.

Response
{ "transactions": [ { "uetr": "97ed4827-7b6f-4491-a206-42bcf859a919", "status": "ACSP", "cancellationStatus": "CANCELLATION_REJECTED", "initiatedAt": "2023-09-18T12:05:50Z", "lastUpdatedAt": "2023-09-18T12:13:33.314Z", "events": [] } ] }